// ConnectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MUUDPIC.h"
#include "ConnectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnectDlg dialog


CConnectDlg::CConnectDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConnectDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnectDlg)
	//}}AFX_DATA_INIT
  m_Server = false;
}


void CConnectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectDlg)
	DDX_Control(pDX, IDC_EDIT2, m_namebox);
	DDX_Control(pDX, IDC_EDIT1, m_AddressBox);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConnectDlg, CDialog)
	//{{AFX_MSG_MAP(CConnectDlg)
	ON_BN_CLICKED(IDC_BUTTON1, OnStartServerButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConnectDlg message handlers

void CConnectDlg::OnOK() 
{
  CString buf;
  m_AddressBox.GetWindowText(buf);
  m_IPAddress.S_un.S_addr = inet_addr(buf);

  if ((m_IPAddress.S_un.S_addr == 0) || (m_IPAddress.S_un.S_addr == INADDR_NONE)) {
    AfxMessageBox("Please enter a valid dotted internet address x.x.x.x");
    return;
  }

  m_namebox.GetWindowText(m_name);
  if (m_name.GetLength() < 1) {
    AfxMessageBox("Please enter a valid name");
    return;
  }

	CDialog::OnOK();
}

void CConnectDlg::OnStartServerButton() 
{
	// TODO: Add your control notification handler code here
	m_Server = true;
  CDialog::OnOK();
}
